# Class JSVGenericPopup

java.lang.Object
org.jmol.popup.GenericPopup
jspecview.popup.JSVGenericPopup

All Implemented Interfaces:
  `GenericMenuInterface`

Direct Known Subclasses:
  `AwtPopup, JsPopup`

public abstract class JSVGenericPopup extends GenericPopup

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final boolean`
`dumpList`
`protected JSVPanel`
`thisJsvp`
`protected static final int`
`UPDATE_NEVER`
`protected int`
`updateMode`
`protected JSViewer`
`vwr`

### Fields inherited from class GenericPopup

`allowSignedFeatures, buttonGroup, currentMenuItemId, helper, htCheckbox, htMenus, isApplet, isJS, isSigned, isTainted, isWebGL, menuName, popupMenu, strMenuStructure, thisPopup, thisx, thisy, updatingForShow`

## Constructor Summary

Constructors
Constructor
Description
`JSVGenericPopup()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`appCheckItem(String item, SC newMenu)`
Opportunity to do something special with an item.
`protected String`
`appFixLabel(String label)`
`protected boolean`
`appGetBooleanProperty(String name)`
`String`
`appGetMenuAsString(String title)`
`protected void`
`appRestorePopupMenu()`
`protected void`
`appRunScript(String script)`
`protected boolean`
`appRunSpecialCheckBox(SC item, String basename, String what, boolean TF)`
`protected void`
`appUpdateForShow()`
`protected void`
`appUpdateSpecialCheckBoxValue(SC item, String what, boolean TF)`
`protected String`
`getScriptForCallback(SC source, String id, String script)`
`protected String`
`getUnknownCheckBoxScriptToRun(SC item, String name, String what, boolean TF)`
`protected void`
`initialize(JSViewer viewer, PopupResource bundle, String title)`
`void`
`jpiDispose()`
`Object`
`jpiGetMenuAsObject()`
`void`
`jpiShow(int x, int y)`
`void`
`jpiUpdateComputedMenus()`
`void`
`setEnabled(boolean allowMenu, boolean zoomEnabled)`
`void`
`setSelected(String key, boolean TF)`

### Methods inherited from class GenericPopup

`addMenu, addMenuItem, addMenuItems, appCheckSpecialMenu, convertToMegabytes, doMenuCheckBoxCallback, doMenuClickCallback, getEntryIcon, getImageIcon, initSwing, jpiGetMenuAsString, menuAddSeparator, menuAddSubMenu, menuCheckBoxCallback, menuClickCallback, menuCreateCheckboxItem, menuCreateItem, menuEnable, menuFocusCallback, menuGetId, menuGetListPosition, menuNewSubMenu, menuRemoveAll, menuSetAutoscrolls, menuSetLabel, menuShowPopup, setText, show, updateButton, updateSignedAppletItems`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface GenericMenuInterface

`jpiInitialize`

## Field Details

### dumpList

protected static final boolean dumpList

See Also:
  - Constant Field Values

### UPDATE_NEVER

protected static final int UPDATE_NEVER

See Also:
  - Constant Field Values

### vwr

protected JSViewer vwr

### updateMode

protected int updateMode

### thisJsvp

protected JSVPanel thisJsvp

## Constructor Details

### JSVGenericPopup

public JSVGenericPopup()

## Method Details

### initialize

protected void initialize(JSViewer viewer, PopupResource bundle, String title)

### jpiDispose

public void jpiDispose()

Specified by:
  `jpiDispose` in interface `GenericMenuInterface`
Overrides:
  `jpiDispose` in class `GenericPopup`

### jpiGetMenuAsObject

public Object jpiGetMenuAsObject()

### jpiShow

public void jpiShow(int x, int y)

### jpiUpdateComputedMenus

public void jpiUpdateComputedMenus()

### appCheckItem

protected void appCheckItem(String item, SC newMenu)
Description copied from class: `GenericPopup`
Opportunity to do something special with an item.

Overrides:
  `appCheckItem` in class `GenericPopup`
Parameters:
  `item` -
  `newMenu` -

### appFixLabel

protected String appFixLabel(String label)

Specified by:
  `appFixLabel` in class `GenericPopup`

### getScriptForCallback

protected String getScriptForCallback(SC source, String id, String script)

Specified by:
  `getScriptForCallback` in class `GenericPopup`

### appGetMenuAsString

public String appGetMenuAsString(String title)

Overrides:
  `appGetMenuAsString` in class `GenericPopup`
Parameters:
  `title` -
Returns:
  null

### appGetBooleanProperty

protected boolean appGetBooleanProperty(String name)

Specified by:
  `appGetBooleanProperty` in class `GenericPopup`

### appRunSpecialCheckBox

protected boolean appRunSpecialCheckBox(SC item, String basename, String what, boolean TF)

Specified by:
  `appRunSpecialCheckBox` in class `GenericPopup`

### appRestorePopupMenu

protected void appRestorePopupMenu()

Specified by:
  `appRestorePopupMenu` in class `GenericPopup`

### appRunScript

protected void appRunScript(String script)

Specified by:
  `appRunScript` in class `GenericPopup`

### appUpdateForShow

protected void appUpdateForShow()

Specified by:
  `appUpdateForShow` in class `GenericPopup`

### appUpdateSpecialCheckBoxValue

protected void appUpdateSpecialCheckBoxValue(SC item, String what, boolean TF)

Specified by:
  `appUpdateSpecialCheckBoxValue` in class `GenericPopup`

### setEnabled

public void setEnabled(boolean allowMenu, boolean zoomEnabled)

### setSelected

public void setSelected(String key, boolean TF)

### getUnknownCheckBoxScriptToRun

protected String getUnknownCheckBoxScriptToRun(SC item, String name, String what, boolean TF)

Specified by:
  `getUnknownCheckBoxScriptToRun` in class `GenericPopup`